import styles from './CircleScore.less';

const CircleScore = ({ score, children, big = false }) => {
  const normalizedScore = Math.min(Math.max(score, 0), 100);

  return (
    <div className={`${styles.circleScore} ${big ? styles.big : ''}`}>
      <div className={styles.circle}></div>
      <div className={styles.text}>{children}</div>
    </div>
  );
};

export default CircleScore;
